Mailinglist Archive: opensuse-factory (269 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190909 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Thu, 12 Sep 2019 13:02:29 +0000
  • Message-id: <156829334929.5552.3214929322406414318@go-agent-stagingbot-2>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190909

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
akonadi-calendar (19.08.0 -> 19.08.1)
akonadi-calendar-tools (19.08.0 -> 19.08.1)
akonadi-contact (19.08.0 -> 19.08.1)
akonadi-import-wizard (19.08.0 -> 19.08.1)
akonadi-mime (19.08.0 -> 19.08.1)
akonadi-notes (19.08.0 -> 19.08.1)
akonadi-search (19.08.0 -> 19.08.1)
akonadi-server (19.08.0 -> 19.08.1)
akregator (19.08.0 -> 19.08.1)
ark (19.08.0 -> 19.08.1)
baloo5-widgets (19.08.0 -> 19.08.1)
calendarsupport (19.08.0 -> 19.08.1)
catfish
clamav (0.101.3 -> 0.101.4)
dolphin (19.08.0 -> 19.08.1)
dragonplayer (19.08.0 -> 19.08.1)
drbd (9.0.19+git.6f5fa5d3 -> 9.0.19~1+git.8e93a5d9)
epiphany (3.32.4 -> 3.32.5)
erofs-utils (0.1+20190803 -> 0.1+20190826)
eventviews (19.08.0 -> 19.08.1)
grantleetheme (19.08.0 -> 19.08.1)
gwenview5 (19.08.0 -> 19.08.1)
icecream
incidenceeditor (19.08.0 -> 19.08.1)
irda
kaccounts-integration (19.08.0 -> 19.08.1)
kaccounts-providers (19.08.0 -> 19.08.1)
kaddressbook (19.08.0 -> 19.08.1)
kalarmcal (19.08.0 -> 19.08.1)
kamera (19.08.0 -> 19.08.1)
kate (19.08.0 -> 19.08.1)
kcalc (19.08.0 -> 19.08.1)
kcalcore (19.08.0 -> 19.08.1)
kcalutils (19.08.0 -> 19.08.1)
kcharselect (19.08.0 -> 19.08.1)
kcolorchooser (19.08.0 -> 19.08.1)
kcontacts (19.08.0 -> 19.08.1)
kdav (19.08.0 -> 19.08.1)
kde-cli-tools5 (5.16.4 -> 5.16.5)
kdepim-addons (19.08.0 -> 19.08.1)
kdepim-apps-libs (19.08.0 -> 19.08.1)
kdepim-runtime (19.08.0 -> 19.08.1)
kdialog (19.08.0 -> 19.08.1)
khelpcenter5 (19.08.0 -> 19.08.1)
kidentitymanagement (19.08.0 -> 19.08.1)
kimap (19.08.0 -> 19.08.1)
kio-extras5 (19.08.0 -> 19.08.1)
kio_audiocd (19.08.0 -> 19.08.1)
kitinerary (19.08.0 -> 19.08.1)
kldap (19.08.0 -> 19.08.1)
kleopatra (19.08.0 -> 19.08.1)
kmag (19.08.0 -> 19.08.1)
kmail (19.08.0 -> 19.08.1)
kmail-account-wizard (19.08.0 -> 19.08.1)
kmailtransport (19.08.0 -> 19.08.1)
kmbox (19.08.0 -> 19.08.1)
kmime (19.08.0 -> 19.08.1)
kmousetool (19.08.0 -> 19.08.1)
knotes (19.08.0 -> 19.08.1)
kompare (19.08.0 -> 19.08.1)
konsole (19.08.0 -> 19.08.1)
kontact (19.08.0 -> 19.08.1)
kontactinterface (19.08.0 -> 19.08.1)
kopete (19.08.0 -> 19.08.1)
korganizer (19.08.0 -> 19.08.1)
kpimtextedit (19.08.0 -> 19.08.1)
kpkpass (19.08.0 -> 19.08.1)
kruler (19.08.0 -> 19.08.1)
ksmtp (19.08.0 -> 19.08.1)
ktnef (19.08.0 -> 19.08.1)
kwalletmanager5 (19.08.0 -> 19.08.1)
libdmtx
libgravatar (19.08.0 -> 19.08.1)
libkcddb (19.08.0 -> 19.08.1)
libkcompactdisc (19.08.0 -> 19.08.1)
libkdcraw (19.08.0 -> 19.08.1)
libkdepim (19.08.0 -> 19.08.1)
libkexiv2 (19.08.0 -> 19.08.1)
libkgapi (19.08.0 -> 19.08.1)
libkipi (19.08.0 -> 19.08.1)
libkleo (19.08.0 -> 19.08.1)
libkomparediff2 (19.08.0 -> 19.08.1)
libksane (19.08.0 -> 19.08.1)
libksieve (19.08.0 -> 19.08.1)
libqt5-qtbase (5.13.0 -> 5.13.1)
libqt5-qtconnectivity (5.13.0 -> 5.13.1)
libqt5-qtdeclarative (5.13.0 -> 5.13.1)
libqt5-qtgraphicaleffects (5.13.0 -> 5.13.1)
libqt5-qtimageformats (5.13.0 -> 5.13.1)
libqt5-qtlocation (5.13.0 -> 5.13.1)
libqt5-qtmultimedia (5.13.0 -> 5.13.1)
libqt5-qtnetworkauth (5.13.0 -> 5.13.1)
libqt5-qtquickcontrols (5.13.0 -> 5.13.1)
libqt5-qtquickcontrols2 (5.13.0 -> 5.13.1)
libqt5-qtscript (5.13.0 -> 5.13.1)
libqt5-qtsensors (5.13.0 -> 5.13.1)
libqt5-qtserialport (5.13.0 -> 5.13.1)
libqt5-qtspeech (5.13.0 -> 5.13.1)
libqt5-qtsvg (5.13.0 -> 5.13.1)
libqt5-qttools (5.13.0 -> 5.13.1)
libqt5-qttranslations (5.13.0 -> 5.13.1)
libqt5-qtvirtualkeyboard (5.13.0 -> 5.13.1)
libqt5-qtwayland (5.13.0 -> 5.13.1)
libqt5-qtwebchannel (5.13.0 -> 5.13.1)
libqt5-qtwebengine (5.13.0 -> 5.13.1)
libqt5-qtwebsockets (5.13.0 -> 5.13.1)
libqt5-qtx11extras (5.13.0 -> 5.13.1)
libqt5-qtxmlpatterns (5.13.0 -> 5.13.1)
links (2.19 -> 2.20.1)
mailcommon (19.08.0 -> 19.08.1)
mailimporter (19.08.0 -> 19.08.1)
messagelib (19.08.0 -> 19.08.1)
mobipocket (19.08.0 -> 19.08.1)
nfs-utils (2.1.1 -> 2.3.3)
okular (19.08.0 -> 19.08.1)
pam (1.3.1 -> 1.3.1+git20190807.e31dd6c)
pavucontrol
pimcommon (19.08.0 -> 19.08.1)
plasma-nm5 (5.16.4 -> 5.16.5)
plasma5-desktop (5.16.4 -> 5.16.5)
plasma5-openSUSE
plasma5-workspace (5.16.4 -> 5.16.5)
powerdevil5 (5.16.4 -> 5.16.5)
qrencode (4.0.0 -> 4.0.2)
sendmail
signon-kwallet-extension (19.08.0 -> 19.08.1)
spectacle (19.08.0 -> 19.08.1)
systemsettings5 (5.16.4 -> 5.16.5)
ufraw
usbmuxd
xfce4-screensaver

=== Details ===

==== akonadi-calendar ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-calendar-lang akonadi-plugin-calendar
libKF5AkonadiCalendar5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== akonadi-calendar-tools ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-calendar-tools-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== akonadi-contact ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-contact-lang akonadi-plugin-contacts libKF5AkonadiContact5
libKF5ContactEditor5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others
* Hide label when we don't have plugins

==== akonadi-import-wizard ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-import-wizard-lang libKPimImportWizard5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== akonadi-mime ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-mime-lang akonadi-plugin-mime libKF5AkonadiMime5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== akonadi-notes ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-notes-lang libKF5AkonadiNotes5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== akonadi-search ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-search-lang libKF5AkonadiSearch

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== akonadi-server ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-server-lang akonadi-server-sqlite libKF5AkonadiAgentBase5
libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Fix Bug 403208 - Short name of favorite folder results in improperly shown
number of unread messages (kde#403208)
* Include KDE* cmake macros before any others

==== akregator ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akregator-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== ark ====
Version update (19.08.0 -> 19.08.1)
Subpackages: ark-lang libkerfuffle19

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* fall back to nummerical owner and group if no text representation exists

==== baloo5-widgets ====
Version update (19.08.0 -> 19.08.1)
Subpackages: baloo5-widgets-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== calendarsupport ====
Version update (19.08.0 -> 19.08.1)
Subpackages: calendarsupport-lang libKF5CalendarSupport5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== catfish ====
Subpackages: catfish-lang

- Install appdata to metainfo (bxo#15752)

==== clamav ====
Version update (0.101.3 -> 0.101.4)
Subpackages: libclamav9

- update to 0.101.4:
* CVE-2019-12900: An out of bounds write in the NSIS bzip2
(boo#1149458)
* CVE-2019-12625: Introduce a configurable time limit to mitigate
zip bomb vulnerability completely. Default is 2 minutes,
configurable useing the clamscan --max-scantime and for clamd
using the MaxScanTime config option (boo#1144504)

==== dolphin ====
Version update (19.08.0 -> 19.08.1)
Subpackages: dolphin-part dolphin-part-lang libdolphinvcs5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Fixing bugs in new folders in tabs feature
* Making sure that DBus objects are all created before the service
* Fix places text when the URL has a trailing slash
* Reset progress bar text when directory loading starts
* Fixing bug where split view opens with no URLs (kde#411193)

==== dragonplayer ====
Version update (19.08.0 -> 19.08.1)
Subpackages: dragonplayer-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== drbd ====
Version update (9.0.19+git.6f5fa5d3 -> 9.0.19~1+git.8e93a5d9)
Subpackages: drbd-kmp-default

- bsc#1149945, update to 8e93a5d93 (drbd-9.0 branch)
* Coccinelle support
* compat with up to Linux-5.3
- Remove patch compat_no_bioset_initialized.patch

==== epiphany ====
Version update (3.32.4 -> 3.32.5)
Subpackages: epiphany-lang gnome-shell-search-provider-epiphany

- Update to version 3.32.5:
+ Fix certain page loads not entering history since WebKitGTK
2.24.1.
+ Fix overview page snapshots sometimes not being updated since
WebKitGTK 2.24.1.
+ Fix floating status bar sometimes displaying wrong loading URL
since WebKitGTK 2.24.1.
+ Fix memory corruption and broken web process extension
connection when using WebKit trunk.
+ Fix failure to load web process extension when using bundled
libdazzle.
+ Fix web app icon fallback.

==== erofs-utils ====
Version update (0.1+20190803 -> 0.1+20190826)

- Update to release 20190826
* fix up "-E legacy-compress"
* fix a memory leak of compressmeta
* fail the image creation when source path is not a directory file
- Add long.patch

==== eventviews ====
Version update (19.08.0 -> 19.08.1)
Subpackages: eventviews-lang libKF5EventViews5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== grantleetheme ====
Version update (19.08.0 -> 19.08.1)
Subpackages: grantleetheme-lang libKF5GrantleeTheme5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== gwenview5 ====
Version update (19.08.0 -> 19.08.1)
Subpackages: gwenview5-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== icecream ====

- Use FAT LTO objects in order to provide proper static library.
- Add missing lzo-devel Requires in libicecream-devel.

==== incidenceeditor ====
Version update (19.08.0 -> 19.08.1)
Subpackages: incidenceeditor-lang libKF5IncidenceEditor5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others
* Fix Bug 411137 - Esc key closes the editor without saving (kde#411137)

==== irda ====

- Add irda-fix_build_with_recent_kernels.diff

==== kaccounts-integration ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kaccounts-integration-lang libkaccounts1

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kaccounts-providers ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kaccounts-providers-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Fix build with Qt 5.13

==== kaddressbook ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kaddressbook-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kalarmcal ====
Version update (19.08.0 -> 19.08.1)
Subpackages: akonadi-plugin-kalarmcal kalarmcal-lang libKF5AlarmCalendar5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kamera ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kamera-lang kio_kamera

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kate ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kate-lang kate-plugins

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* fix stop button of search and replace plugin

==== kcalc ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kcalc-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kcalcore ====
Version update (19.08.0 -> 19.08.1)

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others
* Restore backward compatibility for the version header
- Dropped patches, now upstream:
* 0001-Restore-backward-compatibility-for-the-version-heade.patch
- Refreshed patches:
* 0001-Revert-GIT_SILENT-increase-version.patch

==== kcalutils ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kcalutils-lang libKF5CalendarUtils5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kcharselect ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kcharselect-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kcolorchooser ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kcolorchooser-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kcontacts ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kdav ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kdav-lang libKPimKDAV5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kde-cli-tools5 ====
Version update (5.16.4 -> 5.16.5)
Subpackages: kde-cli-tools5-lang

- Update to 5.16.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.16.5.php
- No code changes since 5.16.4

==== kdepim-addons ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kdepim-addons-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Allow to wrap attachment text (as diff)

==== kdepim-apps-libs ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kdepim-apps-libs-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kdepim-runtime ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kdepim-runtime-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kdialog ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kdialog-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== khelpcenter5 ====
Version update (19.08.0 -> 19.08.1)
Subpackages: khelpcenter5-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kidentitymanagement ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kidentitymanagement-lang libKF5IdentityManagement5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kimap ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kimap-lang libKF5IMAP5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kio-extras5 ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kio-extras5-lang libkioarchive5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Fixing implementation of FileJob interface in smb/sftp slaves
* Fixing bug where MTP slave does not return error in stat()/mimetype()

==== kio_audiocd ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kio_audiocd-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Add missing ShowPreviews key to audiocd.json

==== kitinerary ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKPimItinerary5 libKPimItinerary5-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kldap ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kldap-lang libKF5Ldap5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kleopatra ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kleopatra-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kmag ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kmag-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kmail ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kmail-application-icons kmail-lang ktnef

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Fix Bug 409662 - Missing "Save Attachments..." from Multiple Emails
(kde#409662)
* Fix using correct parent widget.

==== kmail-account-wizard ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kmail-account-wizard-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kmailtransport ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kmailtransport-lang libKF5MailTransport5
libKF5MailTransportAkonadi5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kmbox ====
Version update (19.08.0 -> 19.08.1)

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kmime ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kmime-lang libKF5Mime5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kmousetool ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kmousetool-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== knotes ====
Version update (19.08.0 -> 19.08.1)
Subpackages: knotes-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kompare ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kompare-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== konsole ====
Version update (19.08.0 -> 19.08.1)
Subpackages: konsole-part konsole-part-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Fix the fallback code used when restoring session fails
* Add scrollbuttons for tabs when tabbar is full
* Restore "Show 'new tab' button" option in Konsole Settings
* Port to non-deprecated KWindowSystem::unminimizeWindow
* Fix crash on "Close Current Tab" handling (kde#410607)

==== kontact ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kontact-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Use non-deprecated overload of KWindowSystem::minimizeWindow

==== kontactinterface ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kontactinterface-lang libKF5KontactInterface5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kopete ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kopete-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Fix build with glibc 2.28

==== korganizer ====
Version update (19.08.0 -> 19.08.1)
Subpackages: korganizer-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Use non-deprecated overload of KWindowSystem::minimizeWindow

==== kpimtextedit ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kpimtextedit-lang libKF5PimTextEdit5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others
* Stop texttospeech when we close it. Add parent to button too

==== kpkpass ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKPimPkPass5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== kruler ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kruler-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== ksmtp ====
Version update (19.08.0 -> 19.08.1)
Subpackages: ksmtp-lang libKPimSMTP5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== ktnef ====
Version update (19.08.0 -> 19.08.1)
Subpackages: ktnef-lang libKF5Tnef5

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== kwalletmanager5 ====
Version update (19.08.0 -> 19.08.1)
Subpackages: kwalletmanager5-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== libdmtx ====

- Drop ImageMagick BuildRequires, unnecessary since libdmtx 0.7.4

==== libgravatar ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5Gravatar5 libgravatar-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== libkcddb ====
Version update (19.08.0 -> 19.08.1)

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0
- Recommend libkcddb from libKF5Cddb5 to have the settings module
available when the libs are installed

==== libkcompactdisc ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5CompactDisc5 libkcompactdisc-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== libkdcraw ====
Version update (19.08.0 -> 19.08.1)

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== libkdepim ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5Libkdepim5 libKF5LibkdepimAkonadi5 libkdepim-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== libkexiv2 ====
Version update (19.08.0 -> 19.08.1)

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== libkgapi ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5
libKPimGAPITasks5 libkgapi-lang sasl2-kdexoauth2

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others
- Temporarily disable LTO to avoid crash when using gdrive
(boo#1148217)

==== libkipi ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5Kipi32_0_0 libkipi-data

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== libkleo ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5Libkleo5 libkleo-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== libkomparediff2 ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libkomparediff2-5 libkomparediff2-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== libksane ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5Sane5 libksane-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== libksieve ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libksieve-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== libqt5-qtbase ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5Concurrent5 libQt5Core5 libQt5DBus5 libQt5Gui5
libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql
libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5
libqt5-qtbase-platformtheme-gtk3

- Update to 5.13.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.13.1/?h=v5.13.1
- Refresh patches:
* 0002-xcb-Use-the-screen-s-physical-DPI-as-logical-DPI-unl.patch
- Drop patches, now upstream:
* 0001-Decrease-focusInTimer-timer-from-400-to-200.patch
* 0003-Add-an-ID-for-recognition-of-UGEE-tablets.patch
* 0001-Fix-crash-with-drag-cursor-handling.patch
* 0001-Fix-meta-file-replacements-if-matches-are-empty.patch
* 0002-Do-not-write-Libs-into-.pc-files-if-TEMPLATE-is-not-.patch
* 0003-Make-sure-.pc-.prl-and-.la-files-are-created-for-hea.patch
- Replace reverts with upstream fix:
* D 0001-Revert-Fix-QMAKE_PRL_INSTALL_REPLACE-for-macOS.patch
* D 0001-Revert-qmake-link-qt-libraries-by-full-path.patch
* D 0002-Revert-Replace-absolute-Qt-lib-dir-in-.prl-files.patch
* D 0003-Revert-Fix-prl-replacements-if-libdir-is-in-QMAKE_DE.patch
* A 0001-Fix-CMake-config-files-for-libdir-different-from-lib.patch

==== libqt5-qtconnectivity ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5Bluetooth5 libQt5Bluetooth5-imports libQt5Nfc5
libQt5Nfc5-imports libqt5-qtconnectivity-tools

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtconnectivity.git/plain/dist/changes-5.13.1/?h=v5.13.1
- Link from Qt bindir into %_bindir, not the other way around to fix
applicationDirPath called from Qt binaries
- Add -qt5 suffix to all binaries in %_bindir

==== libqt5-qtdeclarative ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtdeclarative.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtgraphicaleffects ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtgraphicaleffects.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtimageformats ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtimageformats.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtlocation ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5Location5 libQt5Positioning5 libQt5PositioningQuick5

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtlocation.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtmultimedia ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtmultimedia.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtnetworkauth ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtnetworkauth.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtquickcontrols ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtquickcontrols.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtquickcontrols2 ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5QuickControls2-5 libQt5QuickTemplates2-5

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtquickcontrols2.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtscript ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtscript.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtsensors ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5Sensors5 libQt5Sensors5-imports

- Update to 5.13.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtsensors.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtserialport ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtserialport.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtspeech ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5TextToSpeech5 libqt5-qtspeech-plugin-speechd

- Update to 5.13.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtspeech.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtsvg ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtsvg.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qttools ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5Designer5 libQt5Help5 libqt5-qdbus libqt5-qtpaths

- Update to 5.13.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qttools.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qttranslations ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qttranslations.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtvirtualkeyboard ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5HunspellInputMethod5 libQt5VirtualKeyboard5
libqt5-qtvirtualkeyboard-hunspell

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtvirtualkeyboard.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtwayland ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5WaylandClient5 libQt5WaylandCompositor5

- Update to 5.13.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtwayland.git/plain/dist/changes-5.13.1/?h=v5.13.1
- Drop patches, now upstream:
* 0001-Don-t-crash-if-we-start-a-drag-without-dragFocus.patch
* 0002-Client-Fix-stuttering-when-the-GUI-thread-is-busy.patch
* 0005-Client-Reset-frame-callback-timer-when-hiding-a-wind.patch
* 0001-Fix-use-of-private-dependency.patch

==== libqt5-qtwebchannel ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5WebChannel5 libQt5WebChannel5-imports

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtwebchannel.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtwebengine ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtwebsockets ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5WebSockets5 libQt5WebSockets5-imports

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtwebsockets.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtx11extras ====
Version update (5.13.0 -> 5.13.1)

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtx11extras.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== libqt5-qtxmlpatterns ====
Version update (5.13.0 -> 5.13.1)
Subpackages: libQt5XmlPatterns5 libqt5-qtxmlpatterns-imports

- Update to 5.13.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtxmlpatterns.git/plain/dist/changes-5.13.1/?h=v5.13.1

==== links ====
Version update (2.19 -> 2.20.1)

- links 2.20.1:
* libevent bug fixes
- includes changes from 2.20:
* Security bug fixed: when links was connected to tor, it would
send real dns requests outside the tor network when the
displayed page contains link elements with rel=dns-prefetch
boo#1149886
* stability improvements
* file urls support local hostnames
* mouse support improvement
* improve interaction with Google
* Support the zstd compression algorithm
* Use proper cookie expiry

==== mailcommon ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5MailCommon5 mailcommon-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== mailimporter ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5MailImporter5 libKF5MailImporterAkonadi5 mailimporter-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== messagelib ====
Version update (19.08.0 -> 19.08.1)
Subpackages: messagelib-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others
* Fix memory leak in PluginEditorGrammar
* Fix crash when viewer is null
* Allow to wrap attachment text (as diff)

==== mobipocket ====
Version update (19.08.0 -> 19.08.1)

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== nfs-utils ====
Version update (2.1.1 -> 2.3.3)
Subpackages: nfs-client nfs-doc nfs-kernel-server

- 0005-nfs.conf-fail-to-disable-major-NFS-version-4-using-v.patch
Fix a bug that cause NFSv4 service to always be enabled, if
the server was enabled at all.
- removal of SuSEfirewall2 service, since SuSEfirewall2 has been replaced by
firewalld, see [1].
[1]: https://lists.opensuse.org/opensuse-factory/2019-01/msg00490.html
- remove libnfsidmap1 dependency for nfs-client.
It isn't needed.
- Remove service aliases - these files are deleted.
nfs.service
nfsserver.service
nfs-server.nfsserver.conf
nfs-client.nfs.conf
Now the upstream standard service names "nfs-client" and "nfs-server"
must be used.
- 0004-nfsidmap-honour-with-pluginpath-for-instalation.patch
Allow plugins to be installed properly
- nfs-utils.spec
Package shared library correctly
- 0001-nfs.conf-allow-empty-assignments.patch
Fix regression due to unnecessary "error" messages from nfs.conf
- 0002-Let-systemd-know-when-rpc.statd-is-needed.patch
0003-systemd-run-statd-notify-even-when-nfs-client-isn-t-.patch
Fixes for systemd integration
(bsc#1116221)
- New version: nfs-utils-2.3.3
The nfsidmap library source has been merged into
nfs-utils, so this source package now makes
nfsidmap and nfsidmap-devel packages.
New program "nfsconf" improves access to nfs config files.
Delete patches that have been included upstream:
0001-conffile-ignore-empty-environment-variables.patch
0002-mount-call-setgroups-before-setuid.patch
0003-nfs-server-generator-handle-noauto-mounts-correctly.patch
nsm-headers.patch
sysmacros.patch

==== okular ====
Version update (19.08.0 -> 19.08.1)
Subpackages: okular-lang okular-spectre

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Enhance bounds check in TextDocumentGenerator

==== pam ====
Version update (1.3.1 -> 1.3.1+git20190807.e31dd6c)
Subpackages: pam-32bit pam-devel pam-doc

- Replace old $RPM_* shell vars by macros.
- Avoid unnecessary invocation of subshells.
- Shorten recipe for constructing securetty contents on s390.
- usr-etc-support.patch: Add support for /usr/etc/pam.d
- encryption_method_nis.diff: obsolete, NIS clients shouldn't
require DES anymore.
- etc.environment: removed, the sources contain the same
- Update to version 1.3.1+git20190807.e31dd6c:
* pam_tty_audit: Manual page clarification about password logging
* pam_get_authtok_verify: Avoid duplicate password verification
* Mention that ./autogen.sh is needeed to be run if you check out the sources
from git
* pam_unix: Correct MAXPASS define name in the previous two commits.
* Restrict password length when changing password
* Trim password at PAM_MAX_RESP_SIZE chars
* pam_succeed_if: Request user data only when needed
* pam_tally2: Remove unnecessary fsync()
* Fixed a grammer mistake
* Fix documentation for pam_wheel
* Fix a typo in the documentation
* pam_lastlog: Improve silent option documentation
* pam_lastlog: Respect PAM_SILENT flag
* Fix regressions from the last commits.
* Replace strndupa with strncpy
* build: ignore pam_lastlog when logwtmp is not available.
* build: ignore pam_rhosts if neither ruserok nor ruserok_af is available.
* pam_motd: Cleanup the code and avoid unnecessary logging
* pam_lastlog: Limit lastlog file use by LASTLOG_UID_MAX option in login.defs.
* Move the duplicated search_key function to pam_modutil.
* pam_unix: Use pam_syslog instead of helper_log_err.
* pam_unix: Report unusable hashes found by checksalt to syslog.
* Revert "pam_unix: Add crypt_default method, if supported."
* pam_unix: Add crypt_default method, if supported.
* Revert part of the commit 4da9febc
* pam_unix: Add support for (gost-)yescrypt hashing methods.
* pam_unix: Fix closing curly brace. (#77)
* pam_unix: Add support for crypt_checksalt, if libcrypt supports it.
* pam_unix: Prefer a gensalt function, that supports auto entropy.
* pam_motd: Fix segmentation fault when no motd_dir specified (#76)
* pam_motd: Support multiple motd paths specified, with filename overrides
(#69)
* pam_unix: Use bcrypt b-variant for computing new hashes.
* pam_tally, pam_tally2: fix grammar and spelling (#54)
* Fix grammar of messages printed via pam_prompt
* pam_stress: do not mark messages for translation
* pam_unix: remove obsolete _UNIX_AUTHTOK, _UNIX_OLD_AUTHTOK, and
_UNIX_NEW_AUTHTOK macros
* pam_unix: remove obsolete _unix_read_password prototype

==== pavucontrol ====
Subpackages: pavucontrol-lang

- Add runtime requirement on pulseaudio (boo#1149634).
- Refresh spec file.

==== pimcommon ====
Version update (19.08.0 -> 19.08.1)
Subpackages: libKF5PimCommon5 libKF5PimCommonAkonadi5 pimcommon-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* Include KDE* cmake macros before any others

==== plasma-nm5 ====
Version update (5.16.4 -> 5.16.5)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.16.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.16.5.php
- Changes since 5.16.4:
* Add some missing includes.
* Make "Network Disconnected" notification low priority

==== plasma5-desktop ====
Version update (5.16.4 -> 5.16.5)
Subpackages: plasma5-desktop-lang

- Update to 5.16.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.16.5.php
- No code changes since 5.16.4

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.16.5

==== plasma5-workspace ====
Version update (5.16.4 -> 5.16.5)
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Update to 5.16.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.16.5.php
- Changes since 5.16.4:
* [Notifications] Elide application label on the left
* [Notifications] Group only same origin and show it in heading
* [Notifications] Implement JobViewV3
* Replicate Shift+Enter for action invocation for history as well (kde#411350)
* libtaskmanager: fix launch url for startup info with pathless desktop file
* [weather] [envcan] Add additional current condition icon mappings
* [weather] [envcan] Thunderstorm is a current condition, the XML also seems
to have whitespaces so strip those off
* Tell AppStream generators not to index Klipper .desktop files
* [Notifications] Bring back dismissed progress in case of crash
* Add missing include (QJsonArray) to fix compilation with Qt 5.13
* [lockscreen] Fit album art to defined geometry
* Fix compilation
* Add missing include
* [notifications] Change default icon to notification-inactive
* [MPRIS Data Engine] Ignore non-standards compliant players
* [applets/notifications] Try to not have the notification count numbers
overflow the icon
* [Notifications] Workaround NativeRendering with non-integer scaling
* Bind SQL parameters in firefox bookmarksrunner support
- Change 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch to not
override GDK_BACKEND if already set
- Add a new plasmafullwayland.desktop which overrides use of X11
backends of GTK and Qt

==== powerdevil5 ====
Version update (5.16.4 -> 5.16.5)
Subpackages: powerdevil5-lang

- Update to 5.16.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.16.5.php
- No code changes since 5.16.4

==== qrencode ====
Version update (4.0.0 -> 4.0.2)

- Update to version 4.0.2
* Build script fixes. (Thanks to @mgorny)
version 4.0.1
* CMake support improved.
* New test scripts have been added.
* Some compile time warnings have been fixed.
- Refreshed qrencode-fix-installation.patch

==== sendmail ====
Subpackages: libmilter1_0

- Use FAT LTO objects in order to provide proper static library.

==== signon-kwallet-extension ====
Version update (19.08.0 -> 19.08.1)

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- No code change since 19.08.0

==== spectacle ====
Version update (19.08.0 -> 19.08.1)
Subpackages: spectacle-lang

- Update to 19.08.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
* FIX: Close spectacle if it's started with: -b -c
* Fix Quickeditor only be shown on one screen on Wayland
* Don't exit when running in gui mode and notification times out
* Allow Spectacle to build with KConfig <= 5.56.0
- Refreshed patches:
* 0001-Use-qdbus-qt5-instead-of-qdbus.patch

==== systemsettings5 ====
Version update (5.16.4 -> 5.16.5)
Subpackages: systemsettings5-lang

- Update to 5.16.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.16.5.php
- Changes since 5.16.4:
* Exclude other desktop file from AppStream metadata generation
* Use non-deprecated .metainfo.xml filename extension
* fix XML syntax
* Add AppStream metadata file

==== ufraw ====
Subpackages: gimp-ufraw ufraw-lang

- Update ufraw-0.22-exiv2-0.27.patch to fix build with exiv 0.27.1.

==== usbmuxd ====

- Modernise spec-file with spec-cleaner

==== xfce4-screensaver ====

- Prevent parallel installation of xscreensaver by dropping
xscreensaver-data recommendation and make sure xscreensaver is
removed from existing systems (boo#1149209)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >